<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="marcasForm">
             <br/><br/>
              <h:outputText 
                value="Catálogos -> Corridas -> Catálogo de insumos" 
                style="font-weight: bold"/> 
            <br/><br/>

            <p:dataTable
                id="listado"
                value="#{catinsumoMB.marcas}"
                var="registros"
                paginator="true"
                rows="10"
                style="font-size: small"
                emptyMessage="No se encontraron Marcas"
                paginatorPosition="bottom">
                <f:facet name="header">
                    Registros
                    <p:commandButton 
                        id="btnAddEmp" 
                        styleClass="botonpequeno"
                        update ="listado"
                        value="Nuevo"
                        title="Nuevo Registro"
                        icon="ui-icon-circle-plus"
                        style="display:inline; float:right; font-size:100%; "
                        onclick="PF('Anexarmarca').show();" />
                </f:facet>
                <p:column
                    sortBy="#{registros.id}"
                    filterMatchMode="contains"
                    width="10%"
                    style="font-size: small"
                    filterBy="#{registros.id}">
                    <f:facet name="header">ID</f:facet>
                    <h:outputText value="#{registros.id}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.concepto}"
                    filterMatchMode="contains"
                    width="25%"
                    style="font-size: small"
                    filterBy="#{registros.concepto}">
                    <f:facet name="header">CONCEPTO</f:facet>
                    <h:outputText value="#{registros.concepto}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.monto}"
                    filterMatchMode="contains"
                    width="25%"
                    style="font-size: small"
                    filterBy="#{registros.monto}">
                    <f:facet name="header">MONTO</f:facet>
                    <h:outputText value="#{registros.monto}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.cantidad}"
                    filterMatchMode="contains"
                    width="25%"
                    style="font-size: small"
                    filterBy="#{registros.cantidad}">
                    <f:facet name="header">CANTIDAD</f:facet>
                    <h:outputText value="#{registros.cantidad}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.clave}"
                    filterMatchMode="contains"
                    width="25%"
                    style="font-size: small"
                    filterBy="#{registros.clave}">
                    <f:facet name="header">CLAVE</f:facet>
                    <h:outputText value="#{registros.clave}"/>
                </p:column>
                
                <p:column  
                    style="font-size: small" 
                    width="18%"
                    headerText="Acciones">
                    <p:commandButton
                        onclick="PF('Editarmarca').show();"
                        title="Editar datos"
                        value="Editar"
                        icon="ui-icon-pencil"
                        update=":detalleEditar"
                        actionListener="#{catinsumoMB.seleccionEditar(registros)}">
                        <f:setPropertyActionListener
                            value="#{registros}"
                            target="#{catinsumoMB.marcaSeleccionado}" />
                    </p:commandButton>
                    
                    <p:commandButton value="Borrar" actionListener="#{catinsumoMB.borrarmarca(registros)}" 
                        update="listado"
                        icon="ui-icon-scissors"
                        style="display:inline;float:left;width: 100px;"
                        immediate="true">                                            
                        <p:confirm header="Confirmación" message="Es de acuerdo en borrar este registro?" icon="ui-icon-alert" />
                    </p:commandButton>
                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                        <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                    </p:confirmDialog> 
                 </p:column>
            </p:dataTable>
        </h:form>
    </ui:define> 
    
    <ui:define name="outLayoutPart" > 
        <ui:include src="Editar.xhtml" />     
        <ui:include src="Anexar.xhtml" />        
    </ui:define>
</ui:composition>   
